(********************************************************************
 * Copyright 2011 Jehan Hysseo  (email : jehan at zemarmot.net) {{{
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; version 3 of the License.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA }}}
 *  ******************************************************************)

(** SHA1 implementation
@see <http://tools.ietf.org/html/rfc3174> RFC 3174 US Secure Hash Algorithm 1 (SHA1)
*)

(**
[digest message] computes the SHA1 digest of the binary [message].
@return the SHA1 digest (raw binary form) for the binary data in argument.
*)
val digest: string -> string;;

val block_length: int
val hash_length: int
